/*
 *--- PGetPrivateData.h ---------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Thu, Oct 12, 1995 @ 10:43 PM by Paul Ferguson.
 *
 * Description:
 *-------------------------------------------------------------------------
 */
#ifndef __PGetPrivateData__
#define __PGetPrivateData__

#include "PHandleQuery.h"

class PGetPrivateData : public PHandleQuery
{

public:

	PGetPrivateData
	  (	const char * sDeveloperID,
		const char * sPluginID,
		short cTargetClass,
		unsigned long nTypeFlag,
		unsigned long nTargetID );

	unsigned long	nSize;
	short			cPlatform;
	PMHandle		hPrivateData;

private:

	PGetPrivateData();
};

#endif

// end of PGetPrivateData.h
